<?php
/**
 * @file
 * Template file
 * Variables: $form, $records, $header, $use_names, $pager
 * $records: array of records to be displayed
 *    $record->hid acknowledgement id (NULL if none)
 *    $record->mydate acknowledgement datetime 
 *    $record->uid user id
 *    $record->name user name 
 *    $record->fname user firstname
 *    $record->lname user lastname
 *    $roles[$record->uid] user roles
 *    $form['cb_1'] checkbox for user 1
 * $header: the table header (see sign_for_acknowledgement.theme.inc)
 * $use_names: TRUE if firstname/lastname are used
 * $pager: table pagination HTML code.
 */
?>
<fieldset class="collapsible<?php if (!strstr($_SERVER['QUERY_STRING'], 'page') && !strstr($_SERVER['QUERY_STRING'], 'order')): print ' collapsed'; endif;?>">
  <legend>
    <span class="fieldset-legend">
      <?php print t('Click here to show/hide the users table');?>
    </span>
  </legend>
  <div class="fieldset-wrapper">
    <table>
      <tr>
        <?php print $header; ?>
      </tr>
      <?php $row_class = 'even'; ?>
      <?php foreach ($records as $record): ?>
        <?php $row_class = $row_class == 'even' ? 'odd' : 'even' ?>
        <tr class="<?php print $row_class; ?>">
          <td><div class="form-item form-type-checkbox"><?php print render($form['cb_' . $record->uid]); ?></div></td>
          <td><?php print $record->name; ?></td>
          <?php if ($use_names): ?>
            <td><?php print filter_xss($record->lname . ' ' . $record->fname); ?></td>
          <?php endif; ?>
          <td><em><?php print $roles[$record->uid]; ?></em></td>
          <td><?php print $record->hid ? t('YES') : t('NO'); ?></td>
          <td><?php print $record->hid && $record->mydate ? format_date($record->mydate, 'short') : t('---'); ?></td>
        </tr>
      <?php endforeach; ?>
    </table>
    <?php print t('if selected... '); ?>
    <?php print render($form['unsign_submit']); ?>
    <?php print render($form['sign_submit']); ?>
    <?php print $pager; ?>
    <?php print render($form['node']); ?>
  </div>
</fieldset>
