<?php
/**
 * @file
 * theming file.
 * There are two theme implementations: main checkbox and users table.
 * Main checkbox uses the theme_sign_for_acknowledgement_checkbox() function;
 * you can modify this function and/or stylesheet stylesheet.cs.
 * Users table uses a template file (sign_for_acknowledgement_table.tpl.php)
 * and a preprocess function:
 * template_preprocess_sign_for_acknowledgement_table().
 */

/**
 * Implements theme_HOOK().
 */
function theme_sign_for_acknowledgement_checkbox($variables) {
  $variables['form']['#attributes']['class'] = 'sign_for_acknowledgement_checkbox';
  if ($variables['checked']) {
    // Get message with sanitization.
    $variables['form']['signature']['#title'] = filter_xss(variable_get('sign_for_acknowledgement_is_signed', t('You have already signed this document')));
    // Check and disable checkox.
    $variables['form']['signature']['#attributes'] = array(
      'checked' => 'checked',
      'disabled' => 'disabled',
    );
  }
  $content = drupal_render($variables['form']);
  return $content;
}
/**
 * Implements template_preprocess_HOOK().
 */
function template_preprocess_sign_for_acknowledgement_table(&$variables) {
  // Variables initialization, please keep these lines.
  $variables['records'] = $variables['form']['#records'];
  $variables['use_names'] = $variables['form']['#use_names'];
  $variables['roles'] = $variables['form']['#roles'];
  $variables['pager'] = $variables['form']['#pager'];

  // This is for collapsible fieldset to work.
  drupal_add_library('system', 'drupal.collapse');

  // Creates table html header.
  $header_cells = $variables['form']['#header_cells'];
  $ts = tablesort_init($header_cells);
  $header = '';
  foreach ($header_cells as $cell) {
    $cell = tablesort_header($cell, $header_cells, $ts);
    $header .= _theme_table_cell($cell, TRUE);
  }
  $variables['header'] = $header;
}
